/*-
 * ~~~~~~licensing~~~~~~
 * test-producers
 * ==========
 * Copyright (C) 2020 - 2023 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.base.objects.service.impl;

import org.osgi.framework.BundleContext;

import ru.entaxy.platform.base.objects.EntaxyObject;

public class BundleInfoImpl implements EntaxyObject.BundleInfo {

	protected BundleContext bundleContext;
	protected long bundleId;
	
	public BundleInfoImpl(BundleContext bundleContext, long trackedBundleId) {
		super();
		this.bundleContext = bundleContext;
		this.bundleId = trackedBundleId;
	} 
	
	@Override
	public long getBundleId() {
		return this.bundleId;
	}
	
}
