[#ftl attributes={"generated.type":"blueprint.fragment"}]
[#--

    ~~~~~~licensing~~~~~~
    object-producing-config-support
    ==========
    Copyright (C) 2020 - 2023 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]
<!-- 
	config for 
	objectId: [=configured]
	type: [=configuredType]
	pid: [=configurationPid]
	prefix: [=placeholderPrefix]
	
	configurables:
    [#if configurables??]
    [#list configurables as key, value]
        [=key] = [#if value?is_boolean][=value?c][#else][=value][/#if]
    [/#list]
    [/#if]	

	immutables;
    [#if immutables??]
    [#list immutables as key, value]
        [=key] = [=value]
    [/#list]
    [/#if]	
-->


	<bean id="[=configurationPid].defaults" class="ru.entaxy.platform.base.config.DefaultPropertiesProviderWithImmutables" activation="eager">
    	<argument index="0" type="java.lang.String" value="[=configured]"></argument>
    	<argument index="1" type="java.lang.String" value="[=configuredType]"></argument>
    	<argument index="2" type="java.lang.String" value="[=configurationPid]"></argument>
    	<argument index="3" type="org.osgi.framework.BundleContext" ref="blueprintBundleContext"></argument>
    	<argument index="4" type="java.util.Map">
    		<map key-type="java.lang.String" value-type="java.lang.Object">
				[#if configurables??]
			    [#list configurables as key, value]
	   			<entry key="[=key]" value="[#if value?is_boolean][=value?c][#else][=value][/#if]"></entry>
			    [/#list]
			    [/#if]
    		</map>
    	</argument>

		[#if immutables??]
    	<argument index="5" type="java.util.Map">
    		<map key-type="java.lang.String" value-type="java.lang.Object">
			    [#list immutables as key, value]
	   			<entry key="[=key]" value="[#if value?is_boolean][=value?c][#else][=value][/#if]"></entry>
			    [/#list]
    		</map>
    	</argument>
	    [/#if]
    	
	</bean>

    <cm:property-placeholder persistent-id="[=configurationPid]" update-strategy="reload" id="[=configurationPid].placeholder" 
    		placeholder-prefix="[=placeholderPrefix]" placeholder-suffix="}"
    		defaults-ref="[=configurationPid].defaults" 
    		xmlns:cm="http://aries.apache.org/blueprint/xmlns/blueprint-cm/v1.1.0">
    </cm:property-placeholder>
