[#ftl attributes={"generated.type":"blueprint.fragment"}]
[#--

    ~~~~~~licensing~~~~~~
    connector-producing
    ==========
    Copyright (C) 2020 - 2023 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]
		<bean id="uuidGenerator" class="java.util.UUID" scope="prototype" factory-method="randomUUID"/>

		<route id="[=properties.connectorId].root-route">
			<from uri="direct:input-exit-point" />
			<to uri="bean:[=properties.connectorId].metadataEnricher" />
			<to uri="direct:pre-route" />
			<when>
				<simple>${headers.ENTAXY_MessageUUID} == null</simple>
				<setHeader name="ENTAXY_MessageUUID">
					<simple>${bean:uuidGenerator.toString}</simple>
				</setHeader>
			</when>
			<to uri="direct-vm:profile-[=properties.profile]-in-flow" />
		</route>