[#ftl]
[#--

    ~~~~~~licensing~~~~~~
    connector-producing
    ==========
    Copyright (C) 2020 - 2023 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]
[#macro metadata_storage id data prefix consumer=""]
	[#if data??]
	<bean id="[=id]" class="ru.entaxy.platform.core.producer.support.MetadataStorageImpl" activation="eager">
		<property name="prefix" value="[=prefix]" />
		<property name="strings">
			<map key-type="java.lang.String" value-type="java.lang.String">
		[#list data as key, value]
			[#if value?is_string]
				<entry key="[=key]" value="[=value]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		<property name="booleans">
			<map key-type="java.lang.String" value-type="java.lang.Boolean">
		[#list data as key, value]
			[#if value?is_boolean]
				<entry key="[=key]" value="[=value?c]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		<property name="numbers">
			<map key-type="java.lang.String" value-type="java.lang.Number">
		[#list data as key, value]
			[#if value?is_number]
				<entry key="[=key]" value="[=value?c]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		[#if consumer?has_content]
		<property name="consumer" ref="[=consumer]" />
		[/#if]
	</bean>
	[/#if]
[/#macro]