[#ftl attributes={"generated.type":"blueprint.fragment"}]
[#--

    ~~~~~~licensing~~~~~~
    profile-producing
    ==========
    Copyright (C) 2020 - 2023 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]
<!--

	BEGIN legacy components
	@Deprecated
	
	left for backward compatibility
	to be removed in next releases

-->
    <reference-list id="outConnector"
                    interface="ru.entaxy.esb.system.profile.commons.connectors.out.OutConnector"
                    filter="(systemName=[=properties.systemName])" availability="optional">
        <reference-listener ref="profileOutput"
                            bind-method="register" unbind-method="unregister"/>
    </reference-list>

    <reference-list id="inConnector"
                    interface="ru.entaxy.esb.system.profile.commons.connectors.in.InConnector"
                    filter="(systemName=[=properties.systemName])" availability="optional">
        <reference-listener ref="inConnectorCollector"
                            bind-method="register" unbind-method="unregister"/>
    </reference-list>

    <bean id="inConnectorCollector" class="ru.entaxy.esb.system.profile.commons.InConnectorCollector"/>

    <bean id="system-profile" class="ru.entaxy.esb.system.registry.systems.profile.impl.defaults.DefaultSystemProfile"
          activation="eager">
        <property name="systemName" value="[=properties.systemName]"/>
        <property name="profileOutput" ref="profileOutput"/>
        <property name="inConnectorCollector" ref="inConnectorCollector"/>
    </bean>

    <bean id="profileOutput" class="ru.entaxy.esb.system.profile.commons.profile_output.ProfileOutputImpl"
          activation="eager">
        <property name="systemName" value="[=properties.systemName]"/>
    </bean>

    <service activation="eager" auto-export="interfaces" ref="system-profile"/>
<!-- END legacy components -->