[#ftl attributes={"generated.type":"blueprint.fragment"}]
[#--

    ~~~~~~licensing~~~~~~
    connector-producing
    ==========
    Copyright (C) 2020 - 2023 EmDev LLC
    ==========
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    ~~~~~~/licensing~~~~~~

--]
[#import "templates:object-commons/metadata-storage.ftl" as ms]           
	<!-- METADATA -->
	
	<!--
	
        [#if properties??]
        	[#list properties as key, value]
        Key: [=key]
        	[/#list]
        	[#if properties.connectorId??]
        connectorId: [=properties.connectorId]
        	[/#if]	
        [/#if]
	
		[#if properties.connectorInstanceProperties??]
		connectorInstanceProperties ::
        	[#list properties.connectorInstanceProperties as key, value]
        Key: [=key]; Value: [=value]
        	[/#list]
		[/#if]
	-->

	
	<reference id="[=properties.profile].metadataStorageRef" interface="ru.entaxy.platform.core.producer.support.MetadataStorage"
           filter="(profile.name=[=properties.profile])"/>
			
	<bean id="[=properties.connectorId].metadataEnricher" class="ru.entaxy.platform.core.producer.support.ExchangeEnricher" activation="eager">
	</bean>	
	
[#if properties.connectorProperties??]	
[@ms.metadata_storage id=properties.connectorId+".metadataStorage" data=properties.connectorProperties prefix="NTX_"+properties.prefixClassifier+"_connector_" consumer=properties.connectorId+".metadataEnricher" /]
[/#if]

[#if properties.connectorInstanceProperties??]
[@ms.metadata_storage id=properties.connectorId+".instanceMetadataStorage" data=properties.connectorInstanceProperties prefix="NTX_"+properties.prefixClassifier+"_connector_" consumer=properties.connectorId+".metadataEnricher" /]
[/#if]

	<bean id="[=properties.profile].metadataStorage" class="ru.entaxy.platform.core.producer.support.MetadataStorageWrapper">
		<property name="origin" ref="[=properties.profile].metadataStorageRef" />
		<property name="prefix" value="NTX_[=properties.prefixClassifier!'NULL']_profile_" />
		<property name="consumer" ref="[=properties.connectorId].metadataEnricher" />
	</bean>