/*-
 * ~~~~~~licensing~~~~~~
 * entaxy-management-plugin
 * ==========
 * Copyright (C) 2020 - 2023 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
var Entaxy;
(function (Entaxy) {
    Entaxy._module
    .directive('modalDialog', function(){
        return {
            restrict: 'AC',
            link: function($scope, element) {
                var draggableStr = "draggableModal";
                var header = $(".modal-header", element);

                header.on('mousedown', (mouseDownEvent) => {
                    var modalDialog = element;
                    var offset = header.offset();

                    modalDialog.addClass(draggableStr).parents().on('mousemove', (mouseMoveEvent) => {
                        $("." + draggableStr, modalDialog.parents()).offset({
                            top: mouseMoveEvent.pageY - (mouseDownEvent.pageY - offset.top),
                            left: mouseMoveEvent.pageX - (mouseDownEvent.pageX - offset.left)
                        });
                    }).on('mouseup', () => {
                         modalDialog.removeClass(draggableStr);
                    });
                });
            }
        }
    })
    .name;

})(Entaxy || (Entaxy = {}));
