<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~~~~~~licensing~~~~~~
  update-management-support
  ==========
  Copyright (C) 2020 - 2023 EmDev LLC
  ==========
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  ~~~~~~/licensing~~~~~~
  -->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:fp="http://karaf.apache.org/xmlns/features-processing/v1.0.0" exclude-result-prefixes="xs fn fp">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>

	<xsl:template match="/">
			<xsl:apply-templates select="child::node()" />
	</xsl:template>

	<xsl:template match="//repositories/repository">
		<xsl:value-of select="./text()" /><xsl:text>;</xsl:text>
	</xsl:template>	
	
	<xsl:template name="default-remove" match="node()|@*">
		<xsl:apply-templates select="node()|@*" />
	</xsl:template>
	
</xsl:stylesheet>
